* debugging.texi (Common Problems): Add a note about corrupted
[gnupg.git] / doc / Makefile.am
blobf7dee40566c544235f5b2c8b381c502b20751984
1 # Copyright (C) 2002, 2004 Free Software Foundation, Inc.
3 # This file is part of GnuPG.
5 # GnuPG is free software; you can redistribute it and/or modify
6 # it under the terms of the GNU General Public License as published by
7 # the Free Software Foundation; either version 3 of the License, or
8 # (at your option) any later version.
9
10 # GnuPG is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY; without even the implied warranty of
12 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
13 # GNU General Public License for more details.
14
15 # You should have received a copy of the GNU General Public License
16 # along with this program; if not, see <http://www.gnu.org/licenses/>.
18 ## Process this file with automake to produce Makefile.in
20 examples = examples/README examples/scd-event examples/trustlist.txt \
21            examples/gpgconf.conf examples/pwpattern.list
23 helpfiles = help.txt help.be.txt help.ca.txt help.cs.txt                \
24             help.da.txt help.de.txt help.el.txt help.eo.txt             \
25             help.es.txt help.et.txt help.fi.txt help.fr.txt             \
26             help.gl.txt help.hu.txt help.id.txt help.it.txt             \
27             help.ja.txt help.nb.txt help.pl.txt help.pt.txt             \
28             help.pt_BR.txt help.ro.txt help.ru.txt help.sk.txt          \
29             help.sv.txt help.tr.txt help.zh_CN.txt help.zh_TW.txt
31 EXTRA_DIST = samplekeys.asc \
32              gnupg-logo.eps gnupg-logo.pdf gnupg-logo.png \
33              gnupg-card-architecture.eps gnupg-card-architecture.png \
34              gnupg-card-architecture.pdf \
35              faq.raw FAQ faq.html gnupg7.texi \
36              opt-homedir.texi see-also-note.texi specify-user-id.texi \
37              gpgv.texi texi.css  yat2m.c
39 BUILT_SOURCES = gnupg-card-architecture.eps gnupg-card-architecture.png \
40                 gnupg-card-architecture.pdf FAQ faq.html
42 info_TEXINFOS = gnupg.texi
44 dist_pkgdata_DATA = qualified.txt com-certs.pem $(helpfiles)
46 nobase_dist_doc_DATA = FAQ DETAILS HACKING TRANSLATE OpenPGP KEYSERVER \
47                        $(examples)      
49 dist_html_DATA = faq.html 
52 gnupg_TEXINFOS = \
53         gpg.texi gpgsm.texi gpg-agent.texi scdaemon.texi instguide.texi \
54         tools.texi debugging.texi glossary.texi contrib.texi gpl.texi \
55         sysnotes.texi gnupg-card-architecture.fig \
56         howtos.texi howto-create-a-server-cert.texi
58 DVIPS = TEXINPUTS="$(srcdir)$(PATH_SEPARATOR)$$TEXINPUTS" dvips
60 AM_MAKEINFOFLAGS = -I $(srcdir) --css-include=$(srcdir)/texi.css
62 YAT2M_OPTIONS = -I $(srcdir) \
63         --release "GnuPG @PACKAGE_VERSION@" --source "GNU Privacy Guard"
65 myman_sources = gnupg7.texi gpg.texi gpgsm.texi gpg-agent.texi \
66                 scdaemon.texi tools.texi
67 myman_pages   = gpg2.1 gpgsm.1 gpg-agent.1 scdaemon.1 gpgv2.1 \
68                 watchgnupg.1 gpgconf.1 addgnupghome.8 gpg-preset-passphrase.1 \
69                 gpg-connect-agent.1 gpgparsemail.1 symcryptrun.1 \
70                 gpgsm-gencert.sh.1 applygnupgdefaults.8 gpg-zip.1
72 man_MANS = $(myman_pages)
73 noinst_MANS = gnupg.7
75 watchgnupg_SOURCE = gnupg.texi
78 CLEANFILES = faq.raw.xref yat2m
80 DISTCLEANFILES = gnupg.tmp gnupg.ops yat2m-stamp.tmp yat2m-stamp \
81                  $(myman_pages) gnupg.7
83 yat2m: yat2m.c
84         $(CC_FOR_BUILD) -o $@ $(srcdir)/yat2m.c
87 .fig.png:
88         fig2dev -L png `test -f '$<' || echo '$(srcdir)/'`$< $@
90 .fig.jpg:
91         fig2dev -L jpg `test -f '$<' || echo '$(srcdir)/'`$< $@
93 .fig.eps:
94         fig2dev -L eps `test -f '$<' || echo '$(srcdir)/'`$< $@
96 .fig.pdf:
97         fig2dev -L pdf `test -f '$<' || echo '$(srcdir)/'`$< $@
100 FAQ : faq.raw
101 if WORKING_FAQPROG
102         $(FAQPROG) -f $<  $@ || $(FAQPROG) -f $< $@
103 else
104         : Warning: missing faqprog.pl, cannot make $@
105         echo "No $@ due to missing faqprog.pl" > $@
106         echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
107 endif
109 faq.html : faq.raw
110 if WORKING_FAQPROG
111         $(FAQPROG) -h -f $< $@ 2>&1 || $(FAQPROG) -h -f $< $@
112 else
113         : Warning: missing faqprog.pl, cannot make $@
114         echo "No $@ due to missing faqprog.pl" > $@
115         echo "See ftp://ftp.gnupg.org/gcrypt/contrib/faqprog.pl" >> $@
116 endif
119 yat2m-stamp: $(myman_sources)
120         @rm -f yat2m-stamp.tmp
121         @touch yat2m-stamp.tmp
122         for file in $(myman_sources) ; do \
123               ./yat2m $(YAT2M_OPTIONS) --store \
124                   `test -f '$$file' || echo '$(srcdir)/'`$$file ; done
125         @mv -f yat2m-stamp.tmp $@
127 yat2m-stamp: yat2m
129 $(myman_pages) gnupg.7 : yat2m-stamp
130         @if test -f $@; then :; else \
131             trap 'rm -rf yat2m-stamp yat2m-lock' 1 2 13 15; \
132                if mkdir yat2m-lock 2>/dev/null; then \
133                  rm -f yat2m-stamp; \
134                  $(MAKE) $(AM_MAKEFLAGS) yat2m-stamp; \
135                  rmdir yat2m-lock; \
136                else \
137                  while test -d yat2m-lock; do sleep 1; done; \
138                  test -f yat2m-stamp; exit $$?; \
139                fi; \
140              fi
142 # Make sure that gnupg.texi is touched if any other source file has
143 # been modified.  This is required so that the version.texi magic
144 # updates the release date.
145 gnupg.texi : $(gnupg_TEXINFOS)
146         touch $(srcdir)/gnupg.texi
148 online: gnupg.html gnupg.pdf
149         set -e; \
150         echo "Uploading current manuals to www.gnupg.org ..."; \
151         cp gnupg-logo.png gnupg.html/; \
152         user=werner ; dashdevel="" ; \
153         if echo "@PACKAGE_VERSION@" | grep -- "-svn" >/dev/null; then \
154           dashdevel="-devel" ; \
155         else \
156           rsync -v gnupg.pdf $${user}@cvs.gnupg.org:webspace/manuals/ ; \
157         fi ; \
158         cd gnupg.html ; \
159         rsync -vr --exclude='.svn' .  \
160           $${user}@cvs.gnupg.org:webspace/manuals/gnupg$${dashdevel}/